## python-rdata 0.5

=== requirements.txt ===
numpy
xarray
pandas
setuptools

=== debian/changelog ===
python-rdata (0.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-numpy.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:52:03 +0100

python-rdata (0.5-2) unstable; urgency=medium

  * Source package upload.
  * Added d/u/metadata with ref to conda

 -- Steffen Moeller <moeller@debian.org>  Tue, 30 Nov 2021 00:53:12 +0100

python-rdata (0.5-1) unstable; urgency=medium

  * Initial release (Closes: #998085)

 -- Steffen Moeller <moeller@debian.org>  Sat, 30 Oct 2021 00:49:40 +0200

=== debian/control ===
Source: python-rdata
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-pytest-runner <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-numpy <!nocheck>,
               python3-xarray <!nocheck>
Standards-Version: 4.6.0
Homepage: https://github.com/vnmabus/rdata
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rdata
Vcs-Git: https://salsa.debian.org/python-team/packages/python-rdata.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-rdata
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-numpy,
         python3-xarray,
         python3-pandas
Description: parses R dataset (.rda) files
 The common way of reading an R dataset consists on two steps:
 . 
  * First, the file is parsed using the function parse_file. This provides
    a literal description of the file contents as a hierarchy of Python
    objects representing the basic R objects. This step is unambiguous
    and always the same.
  * Then, each object must be converted to an appropriate Python
    object. In this step there are several choices on which Python type
    is the most appropriate as the conversion for a given R object. Thus,
    we provide a default convert routine, which tries to select Python
    objects that preserve most information of the original R object. For
    custom R classes, it is also possible to specify conversion routines
    to Python objects.
 .
 The basic convert routine only constructs a SimpleConverter objects and
 calls its convert method. All arguments of convert are directly passed
 to the SimpleConverter initialization method.
 .
 It is possible, although not trivial, to make a custom Converter object
 to change the way in which the basic R objects are transformed to
 Python objects. However, a more common situation is that one does not
 want to change how basic R objects are converted, but instead wants
 to provide conversions for specific R classes. This can be done by
 passing a dictionary to the SimpleConverter initialization method,
 containing as keys the names of R classes and as values, callables
 that convert a R object of that class to a Python object. By default,
 the dictionary used is DEFAULT_CLASS_MAP, which can convert commonly
 used R classes such as data.frame and factor.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/vnmabus/rdata/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-rdata 0.11.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = rdata
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-rdata (0.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1084636).

 -- Colin Watson <cjwatson@debian.org>  Mon, 18 Nov 2024 22:20:55 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,14 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-setuptools,
                python3-all,
                python3-pytest-runner <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-numpy <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-typing-extensions (>= 4.4) <!nocheck>,
                python3-xarray <!nocheck>
 Standards-Version: 4.6.0
 Homepage: https://github.com/vnmabus/rdata
@@ -24,10 +27,11 @@
          ${misc:Depends},
          python3-numpy,
          python3-xarray,
-         python3-pandas
+         python3-pandas,
+         python3-typing-extensions
 Description: parses R dataset (.rda) files
  The common way of reading an R dataset consists on two steps:
- . 
+ .
   * First, the file is parsed using the function parse_file. This provides
     a literal description of the file contents as a hierarchy of Python
     objects representing the basic R objects. This step is unambiguous

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export PYBUILD_NAME=rdata

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) pytest-3

override_dh_python3:
	dh_python3
	rm -rf debian/python3-rdata/usr/lib/python3/dist-packages/rdata-*egg-info

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs
